# Hilfreiche Pakete
import numpy as np
import matplotlib.pyplot as plt

theta = np.linspace(-np.pi, np.pi, 1000)
cs = 1 / np.sin(theta/2)**4

plt.semilogy(theta*180/np.pi, cs)
plt.xlabel(r"Streuwinkel $\theta$ [deg]")
plt.ylabel(r"$\csc^4(\theta/2)$")
plt.title("Differentieller Wirkungsquerschnitt für $U(r) = \\alpha/r^2$")
plt.savefig("querschnitt.svg")

# Task
# Calculate the differential Wirkungsquerschnitt ds/dOm fuer das repulsive
# Potential V(r) = a/r^2, a > 0

# Plotte den Wirkungsquerschnitt als funktion des Raumwinkels theta

